{%- comment -%}
Empezamos con los ítems que no dependen de otros e implementamos
recursivamente.
{%- endcomment -%}
{%- assign items = site.posts | where: 'layout', 'menu' | where: 'item', nil -%}
{%- assign about = site.posts | find: "layout", "about" -%}

<nav class="navbar navbar-expand-lg navbar-light">
  {% if about %}
    <a href="?#" class="navbar-brand">
      <img src="{{ about.image.path | thumbnail: nil, 25 | uri_escape }}" />
    </a>
  {% endif %}

  <button class="navbar-toggler"
          type="button"
          data-toggle="collapse"
          data-target="#menu"
          aria-label="{{ site.i18n.menu.title }}">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="menu">
    <div class="navbar-nav w-100 d-flex align-items-start justify-content-center">
      {% for item in items %}
        {%- include_cached item.html item=item -%}
      {% endfor %}
    </div>
  </div>
</nav>
